Skip to main content

A YANG Data Model for IP Management
RFC 8344

Revision differences

Document history

Date Rev. By Action
2018-12-19
03 (System)
Received changes through RFC Editor sync (changed abstract to 'This document defines a YANG data model for management of IP implementations. The data model includes …
Received changes through RFC Editor sync (changed abstract to 'This document defines a YANG data model for management of IP implementations. The data model includes configuration and system state.

The YANG data model in this document conforms to the Network Management Datastore Architecture defined in RFC 8342.

This document obsoletes RFC 7277.')
2018-03-16
03 (System)
Received changes through RFC Editor sync (created alias RFC 8344, changed abstract to 'This document defines a YANG data model for management of IP …
Received changes through RFC Editor sync (created alias RFC 8344, changed abstract to 'This document defines a YANG data model for management of IP implementations. The data model includes configuration and system state.', changed pages to 34, changed standardization level to Proposed Standard, changed state to RFC, added RFC published event at 2018-03-16, changed IESG state to RFC Published, created obsoletes relation between draft-ietf-netmod-rfc7277bis and RFC 7277)
2018-03-16
03 (System) RFC published
2018-03-07
03 (System) RFC Editor state changed to AUTH48-DONE from AUTH48
2018-02-26
03 (System) RFC Editor state changed to AUTH48 from RFC-EDITOR
2018-02-13
03 (System) RFC Editor state changed to RFC-EDITOR from EDIT
2018-01-18
03 (System) IANA Action state changed to RFC-Ed-Ack from Waiting on RFC Editor
2018-01-18
03 (System) IANA Action state changed to Waiting on RFC Editor from Waiting on Authors
2018-01-18
03 (System) IANA Action state changed to Waiting on Authors from In Progress
2018-01-16
03 (System) RFC Editor state changed to EDIT
2018-01-16
03 (System) IESG state changed to RFC Ed Queue from Approved-announcement sent
2018-01-16
03 (System) Announcement was received by RFC Editor
2018-01-15
03 (System) IANA Action state changed to In Progress
2018-01-15
03 Cindy Morgan IESG state changed to Approved-announcement sent from Approved-announcement to be sent
2018-01-15
03 Cindy Morgan IESG has approved the document
2018-01-15
03 Cindy Morgan Closed "Approve" ballot
2018-01-15
03 Cindy Morgan Ballot approval text was generated
2018-01-15
03 Cindy Morgan Ballot writeup was changed
2018-01-11
03 Tero Kivinen Closed request for Telechat review by SECDIR with state 'No Response'
2018-01-11
03 Jean Mahoney Closed request for Telechat review by GENART with state 'No Response'
2018-01-11
03 Cindy Morgan IESG state changed to Approved-announcement to be sent from IESG Evaluation
2018-01-11
03 Kathleen Moriarty [Ballot comment]
Thanks for applying the current security considerations template!
2018-01-11
03 Kathleen Moriarty [Ballot Position Update] Position for Kathleen Moriarty has been changed to No Objection from Discuss
2018-01-11
03 (System) IANA Review state changed to Version Changed - Review Needed from IANA OK - Actions Needed
2018-01-11
03 Martin Björklund New version available: draft-ietf-netmod-rfc7277bis-03.txt
2018-01-11
03 (System) New version approved
2018-01-11
03 (System) Request for posting confirmation emailed to previous authors: Martin Bjorklund
2018-01-11
03 Martin Björklund Uploaded new revision
2018-01-11
02 Alissa Cooper [Ballot Position Update] New position, No Objection, has been recorded for Alissa Cooper
2018-01-11
02 Benoît Claise IESG state changed to IESG Evaluation from Waiting for AD Go-Ahead
2018-01-10
02 Adam Roach
[Ballot comment]
The MAC addresses in the examples are using an OUI of 00:01:02, which is assigned by IEEE to 3Com (and which presumably belongs …
[Ballot comment]
The MAC addresses in the examples are using an OUI of 00:01:02, which is assigned by IEEE to 3Com (and which presumably belongs to HP now). Please change the examples to make use of addresses from the unicast range documented in  (e.g. 00:00:5E:00:53:AB).
2018-01-10
02 Adam Roach [Ballot Position Update] New position, No Objection, has been recorded for Adam Roach
2018-01-10
02 Suresh Krishnan [Ballot Position Update] New position, No Objection, has been recorded for Suresh Krishnan
2018-01-10
02 Eric Rescorla [Ballot Position Update] New position, No Objection, has been recorded for Eric Rescorla
2018-01-10
02 Amanda Baber IANA Review state changed to IANA OK - Actions Needed from Version Changed - Review Needed
2018-01-10
02 Deborah Brungard [Ballot Position Update] New position, No Objection, has been recorded for Deborah Brungard
2018-01-10
02 Warren Kumari [Ballot Position Update] New position, No Objection, has been recorded for Warren Kumari
2018-01-09
02 Ben Campbell [Ballot Position Update] New position, No Objection, has been recorded for Ben Campbell
2018-01-09
02 Alvaro Retana [Ballot Position Update] New position, No Objection, has been recorded for Alvaro Retana
2018-01-09
02 Alia Atlas [Ballot Position Update] New position, No Objection, has been recorded for Alia Atlas
2018-01-09
02 (System) IANA Review state changed to Version Changed - Review Needed from IANA OK - Actions Needed
2018-01-09
02 Martin Björklund New version available: draft-ietf-netmod-rfc7277bis-02.txt
2018-01-09
02 (System) New version approved
2018-01-09
02 (System) Request for posting confirmation emailed to previous authors: Martin Bjorklund
2018-01-09
02 Martin Björklund Uploaded new revision
2018-01-09
01 (System) IESG state changed to Waiting for AD Go-Ahead from In Last Call
2018-01-08
01 Sheng Jiang Request for Telechat review by OPSDIR Completed: Ready. Reviewer: Sheng Jiang. Sent review to list.
2018-01-08
01 Kathleen Moriarty
[Ballot discuss]
Hello,

I'm a little confused on the Security Consideration section as it doesn't use the latest template, but does specify SSH for NETCONF, …
[Ballot discuss]
Hello,

I'm a little confused on the Security Consideration section as it doesn't use the latest template, but does specify SSH for NETCONF, so I'm good with that part.  Will RESTCONF also be used as a transport or is there some reason it won't be used for this YANG module? 

Here's what I think is the latest template and please let me know if sections of it do not apply to this draft and I'll drop the discuss for correcting the security considerations section.

https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-10#page-52

Thanks in advance!
2018-01-08
01 Kathleen Moriarty [Ballot Position Update] New position, Discuss, has been recorded for Kathleen Moriarty
2018-01-08
01 Spencer Dawkins [Ballot Position Update] New position, No Objection, has been recorded for Spencer Dawkins
2018-01-08
01 Alexey Melnikov [Ballot Position Update] New position, No Objection, has been recorded for Alexey Melnikov
2018-01-08
02 (System) IANA Review state changed to IANA OK - Actions Needed from Version Changed - Review Needed
2018-01-08
01 Mirja Kühlewind [Ballot Position Update] New position, No Objection, has been recorded for Mirja Kühlewind
2018-01-08
01 Benoît Claise Ballot has been issued
2018-01-08
01 Benoît Claise [Ballot Position Update] New position, Yes, has been recorded for Benoit Claise
2018-01-08
01 Benoît Claise Created "Approve" ballot
2018-01-08
01 Benoît Claise Ballot writeup was changed
2018-01-04
01 (System) IANA Review state changed to IANA OK - Actions Needed from IANA - Review Needed
2018-01-04
01 Sabrina Tanamal
(Via drafts-lastcall@iana.org): IESG/Authors/WG Chairs:

The IANA Services Operator has completed its review of draft-ietf-netmod-rfc7277bis-01. If any part of this review is inaccurate, please let …
(Via drafts-lastcall@iana.org): IESG/Authors/WG Chairs:

The IANA Services Operator has completed its review of draft-ietf-netmod-rfc7277bis-01. If any part of this review is inaccurate, please let us know.

The IANA Services Operator understands that, upon approval of this document, there are two actions which we must complete.

First, in the ns registry on the IETF XML Registry page located at:

https://www.iana.org/assignments/xml-registry/

the existing registration for the URI:

urn:ietf:params:xml:ns:yang:ietf-ip

will be updated to have its reference changed to [ RFC-to-be ].

Second, in the YANG Module Names registry on the YANG Parameters registry page located at:

https://www.iana.org/assignments/yang-parameters/

the existing registration for YANG Module Name

ietf-ip

will be updated to have its reference changed to [ RFC-to-be ].

While the reference for this YANG module name will be updated when the IESG approves the document, the associated module file will not be replaced until the RFC Editor notifies us that the document has been published.

The IANA Services Operator understands that these are the only actions required to be completed upon approval of this document.

Note:  The actions requested in this document will not be completed until the document has been approved for publication as an RFC. This message is only to confirm the list of actions that will be performed.


Thank you,

Sabrina Tanamal
Senior IANA Services Specialist
2018-01-02
01 Mahesh Jethanandani Request for Early review by YANGDOCTORS Completed: Ready. Reviewer: Mahesh Jethanandani. Sent review to list.
2017-12-31
01 Gunter Van de Velde Request for Telechat review by OPSDIR is assigned to Sheng Jiang
2017-12-31
01 Gunter Van de Velde Request for Telechat review by OPSDIR is assigned to Sheng Jiang
2017-12-28
01 Tero Kivinen Request for Telechat review by SECDIR is assigned to Dacheng Zhang
2017-12-28
01 Tero Kivinen Request for Telechat review by SECDIR is assigned to Dacheng Zhang
2017-12-26
01 Joel Halpern Request for Telechat review by RTGDIR Completed: Ready. Reviewer: Joel Halpern. Sent review to list.
2017-12-26
01 Min Ye Request for Telechat review by RTGDIR is assigned to Joel Halpern
2017-12-26
01 Min Ye Request for Telechat review by RTGDIR is assigned to Joel Halpern
2017-12-26
01 Alvaro Retana Requested Telechat review by RTGDIR
2017-12-20
01 Jean Mahoney Request for Telechat review by GENART is assigned to Matthew Miller
2017-12-20
01 Jean Mahoney Request for Telechat review by GENART is assigned to Matthew Miller
2017-12-19
01 Cindy Morgan IANA Review state changed to IANA - Review Needed
2017-12-19
01 Cindy Morgan
The following Last Call announcement was sent out (ends 2018-01-09):

From: The IESG
To: IETF-Announce
CC: netmod-chairs@ietf.org, Joel Jaeggli , netmod@ietf.org, draft-ietf-netmod-rfc7277bis@ietf.org, …
The following Last Call announcement was sent out (ends 2018-01-09):

From: The IESG
To: IETF-Announce
CC: netmod-chairs@ietf.org, Joel Jaeggli , netmod@ietf.org, draft-ietf-netmod-rfc7277bis@ietf.org, joelja@bogus.com, bclaise@cisco.com
Reply-To: ietf@ietf.org
Sender:
Subject: Last Call:  (A YANG Data Model for IP Management) to Proposed Standard


The IESG has received a request from the Network Modeling WG (netmod) to
consider the following document: - 'A YANG Data Model for IP Management'
  as Proposed Standard

The IESG plans to make a decision in the next few weeks, and solicits final
comments on this action. Please send substantive comments to the
ietf@ietf.org mailing lists by 2018-01-09. Exceptionally, comments may be
sent to iesg@ietf.org instead. In either case, please retain the beginning of
the Subject line to allow automated sorting.

Abstract


  This document defines a YANG data model for management of IP
  implementations.  The data model includes configuration and system
  state.  This document obsoletes RFC 7277.




The file can be obtained via
https://datatracker.ietf.org/doc/draft-ietf-netmod-rfc7277bis/

IESG discussion can be tracked via
https://datatracker.ietf.org/doc/draft-ietf-netmod-rfc7277bis/ballot/


No IPR declarations have been submitted directly on this I-D.




2017-12-19
01 Cindy Morgan IESG state changed to In Last Call from Last Call Requested
2017-12-19
01 Cindy Morgan Last call announcement was changed
2017-12-19
01 Benoît Claise Placed on agenda for telechat - 2018-01-11
2017-12-19
01 Benoît Claise Last call was requested
2017-12-19
01 Benoît Claise Last call announcement was generated
2017-12-19
01 Benoît Claise Ballot approval text was generated
2017-12-19
01 Benoît Claise Ballot writeup was generated
2017-12-19
01 Benoît Claise Due to the end of the year break, can we have a 3 weeks LC.
2017-12-19
01 Benoît Claise IESG state changed to Last Call Requested from AD Evaluation
2017-12-19
01 Benoît Claise IESG state changed to AD Evaluation from Publication Requested
2017-12-19
01 Joel Jaeggli Tag Revised I-D Needed - Issue raised by WGLC cleared.
2017-12-19
01 Joel Jaeggli
As required by RFC 4858, this is the current template for the Document
Shepherd Write-Up.

Changes are expected over time. This version is dated …
As required by RFC 4858, this is the current template for the Document
Shepherd Write-Up.

Changes are expected over time. This version is dated 24 February 2012.

(1) What type of RFC is being requested (BCP, Proposed Standard,
Internet Standard, Informational, Experimental, or Historic)?  Why
is this the proper type of RFC?  Is this type of RFC indicated in the
title page header?

This document is a standards track document, targeting the status of
proposed standard. It  replaces and therefore obsoletes RFC 7277 also
a standards track document.

http://www.ietf.org/rfcdiff/rfcdiff.pyht?url1=https://tools.ietf.org/rfc/rfc7277.txt&url2=https://tools.ietf.org/id/draft-ietf-netmod-rfc7277bis-01.txt
for a comparison between the original RFC and the WG document version 1

(2) The IESG approval announcement includes a Document Announcement
Write-Up. Please provide such a Document Announcement Write-Up. Recent
examples can be found in the "Action" announcements for approved
documents. The approval announcement contains the following sections:

Technical Summary

  This document defines a YANG data model for management of IP
  implementations.  The data model includes configuration and system
  state.  This document obsoletes RFC 7277.

  The "ipv4" and "ipv6" subtrees with "config false" data nodes in the
  "/interfaces-state/interface" subtree are deprecated.  All "config
  false" data nodes are now present in the "ipv4" and "ipv6" subtrees
  in the "/interfaces/interface" subtree.

  Servers that do not implement NMDA (the Netconf Management
  Datastore Architecture), or that wish to support client that do not
  implement NMDA, MAY implement the deprecated "ipv4" and
  "ipv6" subtrees in the "/interfaces-state/interface" subtree.

Working Group Summary

Working Group last call commenced on  28 Nov 2017  and completed
14 Dec  2017. Changes were largely editorial.  Vladimir Vassilev noted
that updated implementations he was working with could validate the
module and included examples. A bug was noted in the
ietf-netconf-datastores for which a correction was proposed.

Document Quality

There are known implementations that employ the rfc7277 data model
for ip manangement as well as the bis draft model.

Personnel

Joel Jaeggli is the document shepherd.
Benoit Claise is the responsible area director.

(3) Briefly describe the review of this document that was performed by
the Document Shepherd.  If this version of the document is not ready
for publication, please explain why the document is being forwarded to
the IESG.

The shepherd reviewed the working group adoption and last call activity,
proposed changes within the document, as well as the state of yang
validation. The shepherd concludes that the documents is ready for IETF
last call and IESG Review.

(4) Does the document Shepherd have any concerns about the depth or
breadth of the reviews that have been performed?

No.

(5) Do portions of the document need review from a particular or from
broader perspective, e.g., security, operational complexity, AAA, DNS,
DHCP, XML, or internationalization? If so, describe the review that
took place.

Yang doctors review will need to be scheduled during IETF last call to
occur prior to IESG review.

(6) Describe any specific concerns or issues that the Document Shepherd
has with this document that the Responsible Area Director and/or the
IESG should be aware of? For example, perhaps he or she is uncomfortable
with certain parts of the document, or has concerns whether there really
is a need for it. In any event, if the WG has discussed those issues and
has indicated that it still wishes to advance the document, detail those
concerns here.

No specific concerns exist.

(7) Has each author confirmed that any and all appropriate IPR
disclosures required for full conformance with the provisions of BCP 78
and BCP 79 have already been filed. If not, explain why.

The shepherd is not aware of any IPR disclosures lodged against
RFC 7277 before or subsequent to publication or against rfc7277bis.

(8) Has an IPR disclosure been filed that references this document?
If so, summarize any WG discussion and conclusion regarding the IPR
disclosures.

No.

(9) How solid is the WG consensus behind this document? Does it
represent the strong concurrence of a few individuals, with others
being silent, or does the WG as a whole understand and agree with it? 

Working group consensus is solidly in favor of publication.

(10) Has anyone threatened an appeal or otherwise indicated extreme
discontent? If so, please summarise the areas of conflict in separate
email messages to the Responsible Area Director. (It should be in a
separate email because this questionnaire is publicly available.)

No appeals are anticipated.

(11) Identify any ID nits the Document Shepherd has found in this
document. (See https://www.ietf.org/tools/idnits/ and the Internet-Drafts
Checklist). Boilerplate checks are not enough; this check needs to be
thorough.

-01 intended to address nits for during wglc. Companion documents 
I-D.draft-ietf-netmod-rfc7277bis will be in misref until it is also
advanced.

(12) Describe how the document meets any required formal review
criteria, such as the MIB Doctor, media type, and URI type review be
validated

validation of the model passes. Examples included for reference can
be processed using the model.

(13) Have all references within this document been identified as
either normative or informative?

Yes.

(14) Are there normative references to documents that are not ready for
advancement or are otherwise in an unclear state? If such normative
references exist, what is the plan for their completion?

Yes. companion documents (interface management model, revised datastores)
will be advanced.

(15) Are there downward normative references references (see RFC 3967)?
If so, list these downward references to support the Area Director in
the Last Call procedure.

No.

(16) Will publication of this document change the status of any
existing RFCs? Are those RFCs listed on the title page header, listed
in the abstract, and discussed in the introduction? If the RFCs are not
listed in the Abstract and Introduction, explain why, and point to the
part of the document where the relationship of this document to the
other RFCs is discussed. If this information is not in the document,
explain why the WG considers it unnecessary.

Yes, it will obsolete, rfc7277.

(17) Describe the Document Shepherd's review of the IANA considerations
section, especially with regard to its consistency with the body of the
document. Confirm that all protocol extensions that the document makes
are associated with the appropriate reservations in IANA registries.
Confirm that any referenced IANA registries have been clearly
identified. Confirm that newly created IANA registries include a
detailed specification of the initial contents for the registry, that
allocations procedures for future registrations are defined, and a
reasonable name for the new registry has been suggested (see RFC 5226).

The requests for IANA in the document were fullfilled by RFC 7277.

(18) List any new IANA registries that require Expert Review for future
allocations. Provide any public guidance that the IESG would find
useful in selecting the IANA Experts for these new registries.

No new registries are created.

(19) Describe reviews and automated checks performed by the Document
Shepherd to validate sections of the document written in a formal
language, such as XML code, BNF rules, MIB definitions, etc.

These can be validated by the model validation tools.
2017-12-19
01 Joel Jaeggli Responsible AD changed to Benoit Claise
2017-12-19
01 Joel Jaeggli IETF WG state changed to Submitted to IESG for Publication from Waiting for WG Chair Go-Ahead
2017-12-19
01 Joel Jaeggli IESG state changed to Publication Requested
2017-12-19
01 Joel Jaeggli IESG process started in state Publication Requested
2017-12-18
01 Mehmet Ersue Request for Early review by YANGDOCTORS is assigned to Mahesh Jethanandani
2017-12-18
01 Mehmet Ersue Request for Early review by YANGDOCTORS is assigned to Mahesh Jethanandani
2017-12-18
01 Mehmet Ersue Requested Early review by YANGDOCTORS
2017-12-18
01 Benoît Claise Changed document writeup
2017-12-18
01 Benoît Claise Changed document writeup
2017-12-18
01 Benoît Claise Changed document writeup
2017-12-18
01 Benoît Claise This document now replaces draft-bjorklund-netmod-rfc7277bis instead of None
2017-12-17
01 Joel Jaeggli Notification list changed to Joel Jaeggli <joelja@bogus.com>
2017-12-17
01 Joel Jaeggli Document shepherd changed to Joel Jaeggli
2017-12-17
01 Joel Jaeggli Changed document writeup
2017-12-17
01 Martin Björklund New version available: draft-ietf-netmod-rfc7277bis-01.txt
2017-12-17
01 (System) New version approved
2017-12-17
01 (System) Request for posting confirmation emailed to previous authors: Martin Bjorklund
2017-12-17
01 Martin Björklund Uploaded new revision
2017-12-15
00 Lou Berger https://mailarchive.ietf.org/arch/msg/netmod/3ywK5vtoPpU7UMknMMmOZng0kIs
2017-12-15
00 Lou Berger Tag Revised I-D Needed - Issue raised by WGLC set.
2017-12-15
00 Lou Berger IETF WG state changed to Waiting for WG Chair Go-Ahead from In WG Last Call
2017-11-29
00 Lou Berger See https://mailarchive.ietf.org/arch/msg/netmod/bzal0hikHXj90Wtoikohx3zlW4E
2017-11-29
00 Lou Berger IETF WG state changed to In WG Last Call from WG Document
2017-11-29
00 Lou Berger Changed consensus to Yes from Unknown
2017-11-29
00 Lou Berger Intended Status changed to Proposed Standard from None
2017-10-16
00 Martin Björklund New version available: draft-ietf-netmod-rfc7277bis-00.txt
2017-10-16
00 (System) WG -00 approved
2017-10-15
00 Martin Björklund Set submitter to "Martin Bjorklund ", replaces to (none) and sent approval email to group chairs: netmod-chairs@ietf.org
2017-10-15
00 Martin Björklund Uploaded new revision